function obj = update_parallel_grouping_seg2seg( obj,database )
% recompute parallel grouping

opt = obj.m_sketchopt;
opt.m_use_parallel_group = true;
sketchdata = SBSRSKETCH.init_with_svg(obj.m_datafile,'opt',opt,'resizebydb',database);

% verify equivalence
assert(isequal(obj.m_sketchimg,sketchdata.m_sketchimg));
assert(isequal(obj.m_seglbs_per_sketchpts,sketchdata.m_seglbs_per_sketchpts));

obj.m_parallelgroup_sketchpts2sketchpts = sketchdata.m_parallelgroup_sketchpts2sketchpts;
obj.m_parallelgroup_seg2seg = sketchdata.m_parallelgroup_seg2seg;

end

